# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "fluent-mixin-config-placeholders"
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["TAGOMORI Satoshi"]
  s.date = "2016-05-28"
  s.description = "to add various placeholders for plugin configurations"
  s.email = ["tagomoris@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "fluent-mixin-config-placeholders.gemspec", "lib/fluent/mixin/config_placeholders.rb", "test/helper.rb", "test/mixin/test_config_placeholders.rb", "test/plugin.rb"]
  s.homepage = "https://github.com/tagomoris/fluent-mixin-config-placeholders"
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Configuration syntax extension mixin for fluentd plugin"
  s.test_files = ["test/helper.rb", "test/mixin/test_config_placeholders.rb", "test/plugin.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<fluentd>, [">= 0"])
      s.add_runtime_dependency(%q<uuidtools>, [">= 2.1.5"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
    else
      s.add_dependency(%q<fluentd>, [">= 0"])
      s.add_dependency(%q<uuidtools>, [">= 2.1.5"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
    end
  else
    s.add_dependency(%q<fluentd>, [">= 0"])
    s.add_dependency(%q<uuidtools>, [">= 2.1.5"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
  end
end
